Perp Isolated
Get running trades
GET
/perp/isolated/trades/runningPrivateGet your running trades, newest first: of every perpetual market, or of one market when instrument and pair are both passed. Their pl is the unrealized P&L, valued at the Mark price, or null while their market has no price.
Permissions: futures:isolated:read
instrument?stringInstrument of the market
Value in
"inverse_perp""quanto_perp"pair?stringPair of the market
OK
application/json- response
[index: integer]?A running trade
import { createHttpClient } from '@ln-markets/sdk/rest/v3'
const client = createHttpClient({
key: 'your-key',
secret: 'your-secret',
passphrase: 'your-passphrase',
})
const result = await client.perp.isolated.getRunningTrades({
instrument: 'inverse_perp',
pair: 'btc_usd'
})[
{
"id": "d0b9f9a0-4f6e-4a5a-8b7a-7f0f5f9a8a1e",
"instrument": "inverse_perp",
"pair": "btc_usd",
"type": "market",
"side": "buy",
"openingFee": 10,
"closingFee": 0,
"maintenanceMargin": 1000,
"quantity": 100,
"entryNotionalUsd": 100,
"exitNotionalUsd": null,
"margin": 1000,
"leverage": 10,
"price": 20000,
"liquidation": 18000,
"stoploss": 10,
"takeprofit": 10,
"stoplossTrailingDistance": 0,
"exitPrice": 0,
"pl": 2,
"createdAt": "2025-09-01T15:04:21.129Z",
"filledAt": "2025-09-01T15:04:21.129Z",
"closedAt": null,
"entryPrice": 20000,
"entryMargin": 1000,
"entryBtcPrice": 100000,
"open": false,
"running": true,
"canceled": false,
"closed": false,
"sumFundingFees": 10,
"sumQuantoAdjustmentFees": 0,
"sumCashInPl": 0,
"sumCashInMargin": 0,
"clientId": "test-client-id-123",
"label": "strategy-a"
}
]Get open trades GET
Get your open trades (limit orders not filled yet), newest first: of every perpetual market, or of one market when instrument and pair are both passed.
Get closed trades GET
Get your closed trades: of every perpetual market, or of one market when instrument and pair are both passed. Paginated, newest first; from and to filter…